// Replaces the onSubmit attribute for the addRecord form.
function pageLoad() {
  document.getElementById('addButton').addEventListener('click',addRecord);
}

// Adds a record to the CSV file.
function addRecord(e) {
  // Removes the standard form processing.
  e.preventDefault();
  e.stopPropagation();

  var recordName = document.getElementById("recordName").value;
  var recordAddress = document.getElementById("recordAddress").value;
  var recordMainPhotos = document.getElementById("recordMainPhotos").value;
  var recordAdditionalPhotos = document.getElementById("recordAdditionalPhotos").value;
  var recordDescription = document.getElementById("recordDescription").value;
  var recordWebsite = document.getElementById("recordWebsite").value;
  var recordEmail = document.getElementById("recordEmail").value;
  var recordPhoneNumber = document.getElementById("recordPhoneNumber").value;
  var recordOpeningHours = document.getElementById("recordOpeningHours").value;
  var recordCheckinInstructions = document.getElementById("recordCheckinInstructions").value;

  var params = 'recordName='+recordName+'&recordAddress='+recordAddress+'&recordMainPhotos='+recordMainPhotos+'&recordAdditionalPhotos='+recordAdditionalPhotos+'&recordDescription='+recordDescription+'&recordWebsite='+recordWebsite+'&recordEmail='+recordEmail+'&recordPhoneNumber='+recordPhoneNumber+'&recordOpeningHours='+recordOpeningHours+'&recordCheckinInstructions='+recordCheckinInstructions;

  var xhttp = new XMLHttpRequest();
  xhttp.open("POST", '/AddRecord', true);
  xhttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
  xhttp.onreadystatechange = function() {
    if (xhttp.readyState === 4 && xhttp.status === 200) {
      console.log(xhttp.responseText);
      document.getElementById("DEBUGserverMessage").innerHTML = xhttp.responseText;
    } else {
      console.error(`Status Text: ${xhttp.statusText}.`);
      console.error(`Ready State: ${xhttp.readyState}.`);
    }
  };
  xhttp.send(params);
}
